org.apache.ignite.internal.processors.cache.portable

## Class CacheObjectPortableContext

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.CacheObjectContext
  - - org.apache.ignite.internal.processors.cache.portable.CacheObjectPortableContext

    public class CacheObjectPortableContext
    extends CacheObjectContext

### Constructor Summary

Constructors
Constructor and Description
`CacheObjectPortableContext(GridKernalContext kernalCtx, boolean cpyOnGet, boolean storeVal, boolean portableEnabled, boolean depEnabled)`

### Method Summary

Methods
`boolean` `portableEnabled()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.CacheObjectContext

`addDeploymentInfo, copyOnGet, defaultAffMapper, kernalContext, p2pEnabled, processor, storeValue, unwrapPortableIfNeeded, unwrapPortableIfNeeded, unwrapPortablesIfNeeded, unwrapPortablesIfNeeded, unwrapPortablesInArrayIfNeeded`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CacheObjectPortableContext

    public CacheObjectPortableContext(GridKernalContext kernalCtx,
                              boolean cpyOnGet,
                              boolean storeVal,
                              boolean portableEnabled,
                              boolean depEnabled)

Parameters:
  `kernalCtx` - Kernal context.
  `portableEnabled` - Portable enabled flag.
  `cpyOnGet` - Copy on get flag.
  `storeVal` - `True` if should store unmarshalled value in cache.
  `depEnabled` - `true` if deployment is enabled for the given cache.

### Method Detail

#### portableEnabled

    public boolean portableEnabled()

Returns:
  Portable enabled flag.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015